Hatena::ブログ(Diary)

KBDAHOLIC - やぬすさんとこ

2011-01-04(Tue)

Vim 7.3 on CentOS 5.5

obsolete by http://d.hatena.ne.jp/janus_wel/20110105/1294213885

もちろん Vimyum で install できるんだけど version が古い。ので自前で 7.3 を install 。いやまぁ多少古くたっていいんだけど自前 plugin で使ってる matchadd がないとか抜かすもんだからついカッとなって install した。

  1. # yum install ncurses-devel
    • make するのに必要
  2. # yum install lua lua-devel
  3. > cd
  4. > mkdir -p work/install/vim
  5. > cd work/install/vim
  6. > wget ftp://ftp.vim.org/pub/vim/unix/vim-7.3.tar.bz2
  7. > tar xjvf vim-7.3.tar.bz2
  8. > mkdir patches
  9. > cd patches
  10. > curl -O "ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.[001-094]"
  11. > cd ../vim73
  12. > for i in `ls ../patches/7.3.*`; do patch -p0 < $i; done
  13. > cd src
  14. > ./configure --disable-selinux --enable-luainterp --enable-perlinterp --enable-pythoninterp --enable-python3interp --enable-tclinterp --enable-rubyinterp --enable-multibyte --disable-gui --with-features=huge
  15. > make ARCH=x86_64
  16. # checkinstall
  17. # cp /usr/src/redhat/RPMS/x86_64/Vim-7.3-1.x86_64.rpm ../../
  18. # rpm -ivh Vim-7.3-1.x86_64.rpm

上記で作成した rpm package を以下にあげてある。

参考にしたところは以下。

スパム対策のためのダミーです。もし見えても何も入力しないでください
ゲスト


画像認証